[OSM-talk] Fwd: Help Planet.osm.bz2 import error.

Frederik Ramm frederik at remote.org
Wed Jul 13 15:49:18 BST 2011


Hi,

On 07/13/11 15:33, John Smith wrote:
> You might be hitting a memory limit, even though it's running on a 64
> bit system it seems to be compiled on a 32 bit system, Anthony posted
> a patch to prevent exactly this sort of problem...
>
> http://lists.openstreetmap.org/pipermail/dev/2011-June/023002.html

No. That patch is for "osm2pgsql-64" (with its support for 64bit IDs). 
Saphy Mo is running a plain old (more than 12 months old) 32-bit-id 
osm2pgsql on a Windows system.

As far as I know there is no version of osm2pgsql for 64-bit windows 
systems because ever since the autogen compile was introduced nobody 
managed to compile it properly. See 
http://wiki.openstreetmap.org/wiki/Osm2pgsql#Windows_XP.

I think anyone who managed to compile a proper, current, 64bit version 
of osm2pgsql under Windows would be a hero for many ;)

Bye
Frederik



More information about the talk mailing list